Subject: Re: [PATCH 2/5] Documentation: explain how to check for patch corruption

From: Jonathan Nieder <[email-masked]>
Date: Fri, 15 Apr 2011 01:17:58 -0500

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>> +++ b/Documentation/SubmittingPatches
[...]
>> +While you are at it, check the resulting commit log message from
>> +a trial run of applying the patch.  If what is in the resulting
[...]
> Perhaps the last paragraph can also go, as a copy of it now is in git-am(1)?

Yes, good idea.  I wanted to keep a reminder to look over the
resulting commit (and especially its log message), but this section is
definitely not the place.

>> +++ b/Documentation/git-format-patch.txt
>> @@ -286,6 +286,52 @@ title is likely to be different from the subject
>> +One way to test if your MUA is set up correctly is:
>> +
>> +* Send the patch to yourself, exactly the way you would, except
>> +  with To: and Cc: lines that do not contain the list and
>> +  maintainer address.
>
> ... "except for removing other people from To: and Cc: lines to avoid
> spamming them with your test"?

Yes, that is much clearer.  If you'd like, I can collect other
corrections and read it over again myself to resend tomorrow.